summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2017-02-25 01:52:32 +0200
committerMart Raudsepp <leio@gentoo.org>2017-02-25 03:27:49 +0200
commitc1e96d5b13fc9b3d7563d70f68eb82715c8eaaaa (patch)
tree049af8f61dd08cadb80c198ef4f42a1673c865c6 /media-libs
parentmedia-libs/gstreamer: bump to 1.10.4 (diff)
downloadgentoo-c1e96d5b13fc9b3d7563d70f68eb82715c8eaaaa.tar.gz
gentoo-c1e96d5b13fc9b3d7563d70f68eb82715c8eaaaa.tar.bz2
gentoo-c1e96d5b13fc9b3d7563d70f68eb82715c8eaaaa.zip
media-libs/gst-plugins-base: bump to 1.10.4
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/gst-plugins-base/Manifest1
-rw-r--r--media-libs/gst-plugins-base/gst-plugins-base-1.10.4.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/media-libs/gst-plugins-base/Manifest b/media-libs/gst-plugins-base/Manifest
index 4ed068c4695..9a114954a9c 100644
--- a/media-libs/gst-plugins-base/Manifest
+++ b/media-libs/gst-plugins-base/Manifest
@@ -1,3 +1,4 @@
DIST gst-plugins-base-0.10.36.tar.xz 2364108 SHA256 1fe45c3894903001d4d008b0713dab089f53726dcb5842d5b40c2595a984e64a SHA512 ea77778e073515df58229a641b4363df31f0b80204a5a43a8feb31f0b03a5a4b9b79d6e07e1615c773a59927a9b649f1b1d782def1120d581d09a090be8363b8 WHIRLPOOL e455f2a1aafd60078080735108e4ac336bc4764ed92b9579d83a453f75491331d16b48e5983f3c9712b6edb28ec379e696f06f6910c93168b019d6077c28fb6d
DIST gst-plugins-base-1.10.3.tar.xz 3060016 SHA256 e6299617d705a0cbfb535107c1d3a8fc0f0967f14193a8c5c7583f46a88b1710 SHA512 011fc1d8382784624c00795c929f61486c2853141c364a812b2457b5874157a099fb2cae74c213e024e24adea801da31518e644503939380af740ae36da39801 WHIRLPOOL ac5dacbf02de4648bf164744a8e6bcbf9af34c68896c5f2013b70411f3037621fdefd73adb20337c45af812003c80aebd7b4b73b1d7fb0dfb933afb7633eb796
+DIST gst-plugins-base-1.10.4.tar.xz 3059368 SHA256 f6d245b6b3d4cb733f81ebb021074c525ece83db0c10e932794b339b8d935eb7 SHA512 7d4777c810d146d99fd7973b9f0f5cb510050c8d8d11514cefb57c3d4c39073ec834f6cb1d490d5715a4a146c3c06f3bb7538c2b03c053e05fa2cbe0f796c2e5 WHIRLPOOL 5fd505383a76daf5b6c855894344b79a1568b12e3f3ceb2e8f7d3e3068f5c9460339cbbc3d0aab9a856ab2c2138b8dfd4da3ddc8167ff7a65f0c82fe28b7df2c
DIST gst-plugins-base-1.8.3.tar.xz 2939464 SHA256 114871d4d63606b4af424a8433cd923e4ff66896b244bb7ac97b9da47f71e79e SHA512 9fe88b73fe85be8614340f65515900998bdee010ebc39d6d4286b7ba39a82b75e58da76dc15e23fae7f228f4efa51c68935e2515ccc367d13dd68e173cf1ae0c WHIRLPOOL 83a41208b37582c8fc3bddbb66916052486f6c3b175f7568bd48dff494c81f219d1273ebdd192c22fad21942b8dbf8a212e9a5b4f5df348efb2058a77bc9a4f1
diff --git a/media-libs/gst-plugins-base/gst-plugins-base-1.10.4.ebuild b/media-libs/gst-plugins-base/gst-plugins-base-1.10.4.ebuild
new file mode 100644
index 00000000000..c126750ad2b
--- /dev/null
+++ b/media-libs/gst-plugins-base/gst-plugins-base-1.10.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GST_ORG_MODULE="gst-plugins-base"
+
+inherit gstreamer
+
+DESCRIPTION="Basepack of plugins for gstreamer"
+HOMEPAGE="https://gstreamer.freedesktop.org/"
+
+LICENSE="GPL-2+ LGPL-2+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="alsa +introspection ivorbis +ogg +orc +pango theora +vorbis X"
+REQUIRED_USE="
+ ivorbis? ( ogg )
+ theora? ( ogg )
+ vorbis? ( ogg )
+"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
+ >=media-libs/gstreamer-${PV}:1.0[introspection?,${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+ alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+ introspection? ( >=dev-libs/gobject-introspection-1.31.1:= )
+ ivorbis? ( >=media-libs/tremor-0_pre20130223[${MULTILIB_USEDEP}] )
+ ogg? ( >=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}] )
+ orc? ( >=dev-lang/orc-0.4.24[${MULTILIB_USEDEP}] )
+ pango? ( >=x11-libs/pango-1.36.3[${MULTILIB_USEDEP}] )
+ theora? ( >=media-libs/libtheora-1.1.1[encode,${MULTILIB_USEDEP}] )
+ vorbis? ( >=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}] )
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXv-1.0.10[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.12
+ X? (
+ >=x11-proto/videoproto-2.3.1-r1[${MULTILIB_USEDEP}]
+ >=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
+ >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}] )
+"
+
+multilib_src_configure() {
+ gstreamer_multilib_src_configure \
+ $(use_enable alsa) \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable ivorbis) \
+ $(use_enable ogg) \
+ $(use_enable orc) \
+ $(use_enable pango) \
+ $(use_enable theora) \
+ $(use_enable vorbis) \
+ $(use_enable X x) \
+ $(use_enable X xshm) \
+ $(use_enable X xvideo) \
+ --disable-debug \
+ --disable-examples \
+ --disable-static
+ # cdparanoia and libvisual are split out, per leio's request
+
+ # bug #366931, flag-o-matic for the whole thing is overkill
+ if [[ ${CHOST} == *86-*-darwin* ]] ; then
+ sed -i \
+ -e '/FLAGS = /s|-O[23]|-O1|g' \
+ gst/audioconvert/Makefile \
+ gst/volume/Makefile || die
+ fi
+
+ if multilib_is_native_abi; then
+ local x
+ for x in libs plugins; do
+ ln -s "${S}"/docs/${x}/html docs/${x}/html || die
+ done
+ fi
+}
+
+multilib_src_install_all() {
+ DOCS="AUTHORS NEWS README RELEASE"
+ einstalldocs
+ prune_libtool_files --modules
+}